<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.TxnNoWait Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true and a lock is unavailable for any Berkeley DB operation performed in the context of a transaction, cause the operation to throw DeadlockException (or LockNotGrantedException if TimeNotGranted is set.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool TxnNoWait

Visual Basic (Declaration)

    Public TxnNoWait As Boolean

Visual C++

    public:
    bool TxnNoWait

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace